
function Rescue()
    KEY()
    FON("Camera1",1)
    CMU("CS_Mura")
    FAI(3)
    WAI(32)
    SNP("CS_arowana_animate",-2,40,1,"mainLayer","Arowana1")
    ANP("Arowana1","swim",1)
    FON("Arowana1",16)
    WAI(64)
    MOV(-2,40,1)SLR(1,1)AMC("swim",1,1)
    WAI(16)
    MOV(-2,40,0)SLR(1,0)AMC("swim",1,0)
    TUR()FAC("curly_happy")MS3("\n我们成功逃出来了！")WAI(16)
    SNP("CS_sue_animate",-2,41,1,"mainLayer","Sue1")ANP("Sue1","transform_fish")ANP("Sue1","swim",1)
    WAI(16)
    SNP("CS_jack_animate",-2,39,1,"mainLayer","Jack1")ANP("Jack1","transform_fish")ANP("Jack1","swim",1)
    SNP("CS_santa_animate",-2,40,1,"mainLayer","Santa1")ANP("Santa1","transform_fish")ANP("Santa1","swim",1)
    WAI(16)
    SNP("CS_toroko_animate",-2,41,1,"mainLayer","Toroko1")ANP("Toroko1","transform_fish")ANP("Toroko1","swim",1)
    WAI(16)
    SNP("CS_chako_animate",-2,40,1,"mainLayer","Chako1")ANP("Chako1","transform_fish")ANP("Chako1","swim",1)
    WAI(100)
    CLR()FAC("sue_angry")CAT("\n这简直太酷了。")
    WAI(100)
    CLR()FAC("toroko_normal")CAT("\n大家也都平安无事呢~")
    WAI(120) 
    CLR()FAC("jack_normal")CAT("是呀~")WAI(48)
    CAT("\n这个冒险总算是结束了。")
    PMU(5)
    ANP("Arowana1","set_target")ANP("Arowana1","Pos1")--ANP("Arowana1","swim_target")
    AMC("set_target",1,1)AMC("Pos1",1,1)--AMC("swim_target",1,1)
    AMC("set_target",1,0)AMC("Pos1",1,0)--AMC("swim_target",1,0)
    ANP("Sue1","set_target")ANP("Sue1","Pos1")--ANP("Sue1","swim_target")
    ANP("Jack1","set_target")ANP("Jack1","Pos1")--ANP("Jack1","swim_target")
    ANP("Santa1","set_target")ANP("Santa1","Pos1")--ANP("Santa1","swim_target")
    ANP("Toroko1","set_target")ANP("Toroko1","Pos1")--ANP("Toroko1","swim_target")
    ANP("Chako1","set_target")ANP("Chako1","Pos1")--ANP("Chako1","swim_target")
    WAI(60)
    CLO()
    WAI(60)
    ANP("Arowana1","swim_target")
    TUR()FAC()MS3("\n等等...")WAI(16)
    AMC("swim_target",1,1)
    WAI(16)
    AMC("swim_target",1,0)
    ANP("Sue1","swim_target")
    WAI(16)
    ANP("Jack1","swim_target")
    CAT("情况有点不太对劲")
    WAI(16)
    ANP("Santa1","swim_target")
    WAI(16)
    FON("Camera2",16)
    ANP("Toroko1","swim_target")
    WAI(16)
    ANP("Chako1","swim_target")
    WAI(16)
    WAI(16)
    WAI(16)
    FON("Camera3")
    ANP("Arowana1","float_around",0)
    CMU("CS_Escape")
    CLR()CAT("\n糟了！你们快拼命往回游！")WAI(96)
    CLR()FAC("curly_normal")CAT("啊！")WAI(32)
    CAT("\n大家快掉头!")
    AMC("float_around",0,1)
    WAI(16)
    AMC("float_around",0,0)
    WAI(16)
    ANP("Sue1","float_around",0)
    WAI(16)
    ANP("Jack1","float_around",0)
    WAI(16)
    ANP("Santa1","float_around",0)
    WAI(16)
    ANP("Toroko1","float_around",0)
    WAI(16)
    ANP("Chako1","float_around",0)
    CAT("\n我们不能在这里掉下去！")
    WAI(120)CLO()
    ---[[
    WAI(60)
    FAC("jack_><")MS3("果然还是发生了这种事嘛...")NOD()CLR()
    FAC("jack_normal")CAT("\n有人嘛！")NOD()CAT("救命啊！")NOD()CLO()
    WAI(120)
    FAC("sue_sad")MS3("没希望了，")NOD()
    CAT("\n谁会刚好就在这附近")
    CAT("\n而且去救几条鱼呢...")NOD()CLR()
    FAC("toroko_><")CAT("有的！")NOD()
    CAT("\n说不定间八哥就在在附近呢！")NOD()CLO()
    --]]
    SNP("CS_mychar_kanpa_animate",24,31,1,"mainLayer","Kanpa1")ANP("Kanpa1","show_fishing_rod")ANP("Kanpa1",204)
    ANP("Kanpa1","walk",1)
    WAI(120)
    CLO()
    FON("Kanpa1")
    ANP("Kanpa1","normal",1)
    MS3("嗯？")NOD()
    CAT("\n我好像在这附近")
    CAT("\n听到了杰克的叫声。")NOD()CLO()
    WAI(32)
    ANP("Kanpa1","normal",0)
    WAI(32)
    ANP("Kanpa1","normal",1)
    WAI(32)
    ANP("Kanpa1","back",1)
    WAI(32)
    FON("Camera3")
    FAC("toroko_normal")MS3("\n果然是间八哥呢！")NOD()CLR()
    FAC("jack_normal")CAT("间八！我们在下面！")NOD()
    FAC("jack_><")CAT("\n快救救我们呐！")NOD()CLO()
    FON("Kanpa1")
    ANP("Kanpa1","walk",1)
    WAI(87)
    ANP("Kanpa1","normal",1)
    MS3("哇！")NOD()CAT("这么多鱼！！")NOD()
    CAT("\n大家都变成鱼了嘛？！")NOD()CLR()
    FAC("jack_><")CAT("\n别废话了！快救我们上来！")NOD()CLR()
    FAC()CAT("包在我身上，")NOD()
    CAT("\n我现在就把你们都给钓上来。")NOD()CLO()
    ANP("Kanpa1","walk",0)
    WAI(16)
    ANP("Kanpa1","normal",1)
    WAI(16)
    ANP("Kanpa1","hook_ani",0)
    WAI(32)
    ANP("Kanpa1","hook_ani",1)
    ANP("Kanpa1","hook_ani_throw")
    WAI(60)
    FON("Camera4")
    WAI(60)
    WAI(90)
    ANP("Kanpa1","hook_ani_set_target")
    ANP("Kanpa1","Arowana1")
    ANP("Arowana1","stop")
    WAI(32)
    MS3("我已经抓到钩了，")NOD()
    CAT("\n你们快都抓住我吧！")NOD()CLO()
    WAI(32)
    ANP("Jack1","set_target")ANP("Jack1","Arowana1")ANP("Jack1","swim_target")
    WAI(32)
    ANP("Santa1","set_target")ANP("Santa1","Jack1")ANP("Santa1","swim_target")
    WAI(32)
    ANP("Sue1","set_target")ANP("Sue1","Santa1")ANP("Sue1","swim_target")
    WAI(32)
    ANP("Toroko1","set_target")ANP("Toroko1","Sue1")ANP("Toroko1","swim_target")
    WAI(32)
    ANP("Chako1","set_target")ANP("Chako1","Toroko1")ANP("Chako1","swim_target")
    WAI(32)
    AMC("set_target",0,1)AMC("Chako1",0,1)AMC("swim_target",0,1)
    WAI(32)
    AMC("set_target",0,0)AMC("CS_mychar_curly",0,0)AMC("swim_target",0,0)
    WAI(32)
    FON("Camera5")
    WAI(32)
    MS3("\n那我开始拉了！")NOD()CLO()
    ANP("Kanpa1","hook_ani",2)
    WAI(32)
    ANP("Kanpa1","show_sweat")
    WAI(60)
    ANP("Kanpa1","hook_ani",3)
    WAI(60)
    MS3("你们太重了，")NOD()
    CAT("\n我一点也拉不动啊...")NOD()CLR()
    FAC("toroko_><")CAT("\n间八哥加油啊！")NOD()CLR()
    FAC("sue_angry")CAT("\n加油啊！")NOD()CLR()
    FAC("curly_normal")CAT("\n相信自己！")NOD()CLO()
    SNP("CS_mahin_animate",18,29,1,"mainLayer","Mahin1")
    ANP("Mahin1","drawBefore")
    ANP("Mahin1","walk",1)
    WAI(160)
    ANP("Mahin1","normal",1)
    MS3("哇！发生什么事了，")NOD()
    CAT("\n我也来帮忙！")NOD()CLO()
    WAI(16)
    ANP("Mahin1","walk",1)
    WAI(16*8)
    ANP("Mahin1","normal",1)
    WAI(32)
    ANP("Mahin1","pluck",1)
    WAI(60)
    PMU(5)
    --大家被钓上
    ANP("Kanpa1","hide_sweat")
    ANP("Kanpa1","hook_finish")
    ANP("Kanpa1","down",1)
    ANP("Mahin1","down",0)
    ANP("Arowana1","big_jump")
    ANP("Jack1","big_jump")
    ANP("Santa1","big_jump")
    ANP("Sue1","big_jump")
    ANP("Toroko1","big_jump")
    ANP("Chako1","big_jump")
    AMC("big_jump",0,1)
    AMC("big_jump",0,0)
    FON("Kanpa1")
    WAI(180)
    CMU("CS_White")
    FAC("sue_normal")MS3("\n成功了！")NOD()CLR()
    FAC("toroko_normal")CAT("\n不愧是间八哥呢~")NOD()CLR()
    FAC("curly_happy")CAT("\n来给我们的英雄欢呼吧~")NOD()CLO()
    WAI(32)
    FAO(2)
    FOM()
    TRA("CS_gaudi_mountain_collapsed","CheerForKanpa",0,0)
end

function CheerForKanpa()
    KEY()
    CMU("CS_White")
    SNP("CS_arowana_animate",15,28,1,"mainLayer","Arowana1")ANP("Arowana1","stand")
    SNP("CS_mahin_animate",15,28,1,"mainLayer","Mahin1")ANP("Mahin1","sit")

    local dx = 4;
    SNP("CS_toroko_animate",28,32,1,"mainLayer","Toroko1")ANP("Toroko1","dx",dx*3)
    SNP("CS_sue_animate",29,32,1,"mainLayer","Sue1")ANP("Sue1","dx",dx*2)
    SNP("CS_jack_animate",30,32,1,"mainLayer","Jack1")ANP("Jack1","dx",dx*1)

    SNP("CS_santa_animate",31,32,1,"mainLayer","Santa1")

    SNP("CS_chako_animate",32,32,0,"mainLayer","Chako1")ANP("Chako1","dx",-dx*1)
    MOV(33,32,1)AMC("dx",-dx*2,1)
    MOV(34,32,0)AMC("dx",-dx*3,0)

    SNP("CS_mychar_kanpa_animate",31,31,1,"mainLayer","Kanpa1")ANP("Kanpa1",204)ANP("Kanpa1","cheer")
    FON("Camera6",1)
    AMC("hide_weapon",0,0)
    AMC("hide_weapon",0,1)

    ANP("Jack1","set_target")ANP("Jack1","Kanpa1")ANP("Jack1","cheer_target")
    ANP("Santa1","set_target")ANP("Santa1","Kanpa1")ANP("Santa1","cheer_target")
    ANP("Sue1","set_target")ANP("Sue1","Kanpa1")ANP("Sue1","cheer_target")
    ANP("Toroko1","set_target")ANP("Toroko1","Kanpa1")ANP("Toroko1","cheer_target")
    ANP("Chako1","set_target")ANP("Chako1","Kanpa1")ANP("Chako1","cheer_target")
    AMC("set_target",0,1)AMC("Kanpa1",0,1)AMC("cheer_target",0,1)
    AMC("set_target",0,0)AMC("Kanpa1",0,0)AMC("cheer_target",0,0)
    SLR(0,0)
    SLR(0,1)
    FAI(2)
    WAI(180)
    FAC()MS3("\n你为什么不也去玩一下？")NOD()CLR()
    CAT("\n不是我不想呐...")NOD()CLR()
    CAT("\n为什么？")NOD()CLO()
    WAI(32)
    ANP("Mahin1","normal")
    WAI(32)
    ANP("Mahin1","walk",1)
    WAI(32)
    ANP("Mahin1","normal")
    WAI(48)
    MS3("\n你们抛下我吧！我也想玩！")NOD()CLO()
    WAI(32)
    ANP("Toroko1","normal",0)
    WAI(32)
    FAC("toroko_--")MS3("你太重了，")NOD()
    CAT("\n我们抛不起来的。")NOD()CLO()
    WAI(32)
    ANP("Mahin1","normal",0)
    WAI(32)
    MS3("\n看吧....")NOD()CLO()
    ANP("Toroko1","cheer_target",1)
    PMU(5)
    WAI(60)
    --数码他们降落
    SNP("CS_skydragon_animate",18,18,0,"mainLayer","Skydragon1")
    ANP("Skydragon1","set_target")ANP("Skydragon1","Pos2")ANP("Skydragon1","fly_target")
    WAI(180)
    FON("Camera7")
    ANP("Skydragon1","landing",1)
    WAI(60)
    ANP("Skydragon1","normal",1)
    SNP("CS_kazuma_animate",10,27,1,"mainLayer","Kazuma1")
    WAI(32)
    FAC("kazuma_normal")MS3("\n你们看起来玩的蛮开心的嘛~")NOD()CLO()
    SNP("CS_misery_float_animate",9,24,1,"mainLayer","Misery1")
    ANP("Misery1","teleport_in")WAI(20)SOU("CS_029_teleport")
    WAI(80)
    ANP("Misery1",0,1)
    WAI(60)
    ANP("Misery1",13,1)
    WAI(60)
    FAC("misery_normal")MS3("\n我也觉得...")NOD()CLO()
    WAI(30)
    local helicopter_x =4;
    local helicopter_y =15;
    SNP("CS_helicopter",helicopter_x,helicopter_y,1,"mainLayer","Helicopter1")
    ANP("Helicopter1","fly")
    ANP("Helicopter1","set_manned")
    ANP("Helicopter1","landing")
    SNP("CS_professor_booster_animate",helicopter_x,helicopter_y-1,1,"mainLayer","ProfessorBooster1")
    SNP("CS_bluerobot_animate",helicopter_x-1,helicopter_y-1,0,"mainLayer","Bluerobot1")
    ANP("Bluerobot1","transform_fish")
    WAI(180)
    --咪咪卡们往左看
    ANP("Jack1","normal",0)
    ANP("Santa1","normal",0)
    ANP("Sue1","normal",0)
    ANP("Toroko1","normal",0)
    ANP("Chako1","normal",0)
    AMC("normal",0,1)
    AMC("normal",0,0)
    ANP("Kanpa1","normal",0)
    WAI(32)
    FAC("sue_normal")MS3("\n我们终于可以回家了！")NOD()CLR()
    FAC("jack_normal")CAT("说到回家，结果金不在的这几天")
    CAT("\n还是弄出了这么大的骚动，")NOD()
    FAC("jack_><")CAT("\n我回去之后恐怕生死未卜了...")NOD()CLR()
    ANP("Sue1","normal",1)
    ANP("Toroko1","normal",1)
    FAC("sue_normal")CAT("不会的啦~")NOD()
    CAT("\n就算有我们会给你求情的。")NOD()CLR()
    FAC("jack_normal")CAT("\n你什么时候对我变这么好了。")NOD()CLR()
    FAC("sue_sad")CAT("算了，你这个木头脑袋")
    CAT("\n果然还是死了比较好。")NOD()CLR()
    ANP("Sue1","back",0)
    ANP("Jack1","back",1)
    FAC()CAT("\n哼！")NOD()CLO()
    WAI(32)
    FAC("toroko_--")MS3("(这两人结果又变回到")
    CAT("\n和以前一样了呢...)")NOD()CLR()
    FAC("curly_normal")CAT("对啊！")NOD()
    CAT("\n不知道金现在状况怎么样了，")NOD()
    CAT("\n我们得赶快回和平小镇看看他。")NOD()CLR()
    ANP("Toroko1","normal",0)
    FAC("misery_normal")CAT("那只红眼家伙的话没啥事，")NOD()
    CAT("\n躺几天就可以完全康复了。")NOD()CLR()
    ANP("Sue1","normal",0)
    ANP("Jack1","normal",0)
    FAC("sue_normal")CAT("\n不愧是金呢~")NOD()CLR()
    FAC("toroko_normal")CAT("\n话说鱼先生今后打算怎么办？")NOD()CLR()
    FAC()CAT("我打算找一个....")WAI(32)CLR()
    FAC("misery_normal")CAT("这条鱼看起来蛮不错的，")NOD()
    FAC("misery_excite")CAT("\n我就作为礼物收下它抵消一点这次")
    CAT("\n昂贵的救援费用了。")NOD()CLO()
    WAI(32)
    CNP("Misery1","CS_misery_stand_animate",1)
    ANP("Misery1","magic")
    ANP("Arowana1","teleport_out")
    WAI(16)
    SOU("CS_029_teleport")
    WAI(32)
    FAC("misery_normal")MS3("\n那么再见。")NOD()CLO()
    ANP("Misery1","float_leave")
    WAI(100)
    FAC("curly_normal")MS3("\n这个魔女真我行我素呢...")NOD()CLR()
    FAC("curly_happy")CAT("话说数码你是怎么")
    CAT("\n说服米莎莉来救我们的？")NOD()CLO()
    WAI(60)
    ANP("Kazuma1","back")
    WAI(60)
    FAC("kazuma_normal")MS3("这个嘛....")NOD()
    ANP("Skydragon1","hover_kazuma")DNP("Kazuma1")
    CAT("\n你们去米莎莉的店里就知道了。")NOD()
    ANP("Skydragon1","fly_speed_up")
    ANP("Skydragon1","set_target")ANP("Skydragon1","Pos3")ANP("Skydragon1","fly_target")
    CAT("\n我先溜了。")NOD()CLO()
    WAI(60)
    FAC("curly_sad")MS3("\n到底是怎么回事...")NOD()CLR()
    FAC("professorbooster_normal")MS3("你们快点上飞机吧，")NOD()
    CAT("\n天都快要黑了。")NOD()CLR()
    FAC("sue_normal")CAT("\n那么回家咯！")NOD()CLO()
    ANP("Camera7","up")
    ANP("Toroko1","walk",0)
    WAI(8)
    ANP("Sue1","walk",0)
    WAI(8)
    ANP("Jack1","walk",0)
    WAI(8)
    ANP("Santa1","walk",0)
    WAI(8)
    ANP("Chako1","walk",0)
    WAI(32)
    ANP("Kanpa1","walk",0)
    WAI(8)
    AMC("walk",0,1)
    WAI(8)
    AMC("walk",0,0)
    WAI(8)
    ANP("Mahin1","walk",0)
    WAI(8)
    WAI(150)
    FAO(2)
    TRA("CS_credit","Credit",0,0)
end